/**Begin D:\utils\PDM_UPGRADE\PDM_UPGRADE\PDM1\HRCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_WARNSCENE')
CREATE TABLE T_HRCS_WARNSCENE (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FBIZAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
                                       FPERMRC CHAR(1) DEFAULT '0' NOT NULL,
                                       FWARNOBJTPLID BIGINT DEFAULT 0 NOT NULL,
                                       FOWNERID BIGINT DEFAULT 0 NOT NULL,
                                       FCOMMONCONDITION NCLOB DEFAULT ' ',
                                       FDATAFILTER NCLOB DEFAULT ' ',
                                       FFROMENTIYID VARCHAR(36) DEFAULT ' ' NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFYTIME DATETIME,
                                       FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                       FINDEX INT DEFAULT 0 NOT NULL,
                                       FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                       FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                       FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_WARNSCENE_L')
CREATE TABLE T_HRCS_WARNSCENE_L (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\utils\PDM_UPGRADE\PDM_UPGRADE\PDM1\HRCS_table.sql **/
